-- 
-- Удаление таблицы `guest`
-- 
DROP TABLE IF EXISTS `guest`;

-- 
-- Удаление таблицы `screen`
-- 
DROP TABLE IF EXISTS `screen`;

-- 
-- Обновление таблицы `plus`
-- 
ALTER TABLE `plus`
  ADD `thanks` tinyint(3) NOT NULL,
  ADD `donater` bigint(20) UNSIGNED NOT NULL,
  ADD `type` tinyint(3) NOT NULL,
  ADD `status` tinyint(3) NOT NULL,
  ADD `comment` varchar(500) NOT NULL;

-- 
-- Обновление таблицы `shop`
-- 
ALTER TABLE `shop`
  ADD `selling` tinyint(3) NOT NULL DEFAULT '1',
  ADD `comment` varchar(75) NOT NULL,
  ADD `free` tinyint(3) NOT NULL;

-- 
-- Обновление таблицы `comments`
-- 
ALTER TABLE `comments`
  ADD `read` tinyint(3) NOT NULL DEFAULT '0';

-- 
-- Обновление таблицы `authlog`
-- 
ALTER TABLE `authlog`
  ADD `attempts` int(11) NOT NULL,
  ADD `key` text NOT NULL;

-- 
-- Обновление таблицы `users`
-- 
ALTER TABLE `users`
  MODIFY `login` varchar(25) NOT NULL,
  ADD `active` tinyint(3) NOT NULL,
  ADD `captcha` bigint(11) NOT NULL,
  ADD `attempts` int(11) NOT NULL,
  ADD `memory_serf` int(11) NOT NULL,
  ADD `memory_task` int(11) NOT NULL,
  ADD `chatlog` bigint(11) NOT NULL,
  ADD `donation` tinyint(3) NOT NULL DEFAULT '0',
  ADD `selling` tinyint(3) NOT NULL DEFAULT '0';

-- 
-- Обновление таблицы `mail`
-- 
ALTER TABLE `mail`
  DROP `file`;

-- 
-- Обновление таблицы `task_ans`
-- 
ALTER TABLE `task_ans`
  DROP `file`;

-- 
-- Обновление таблицы `screen`
-- 
ALTER TABLE `screen`
  DROP `file`;

-- 
-- Обновление таблицы `purchase`
-- 
ALTER TABLE `purchase`
  DROP `review`;

-- 
-- Обновление таблицы `respect`
-- 
ALTER TABLE `respect`
  ADD `type` tinyint(3) NOT NULL;

-- 
-- Структура таблицы `downloads`
-- 
CREATE TABLE IF NOT EXISTS `downloads` (
  `who` varchar(50) NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `bonus`
-- 
CREATE TABLE IF NOT EXISTS `bonus` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `comment` varchar(500) NOT NULL,
  `date` varchar(50) NOT NULL,
  `start` varchar(50) NOT NULL,
  `end` varchar(50) NOT NULL,
  `min` float(11,2) NOT NULL,
  `max` float(11,2) NOT NULL,
  `limit` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `bonus_rec`
-- 
CREATE TABLE IF NOT EXISTS `bonus_rec` (
  `time` bigint(11) NOT NULL,
  `bid` bigint(20) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `sum` float(11,2) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `vote`
-- 
CREATE TABLE IF NOT EXISTS `vote` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(500) NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL,
  `anon` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `answers`
-- 
CREATE TABLE IF NOT EXISTS `answers` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(250) NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `choice`
-- 
CREATE TABLE IF NOT EXISTS `choice` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `ans` bigint(20) UNSIGNED NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;