<?php
$title = 'Запрещенные браузеры';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['serf'] == 1) {

    $stmt_count = $connect->prepare("select count(*) from `link` where `id` = ? and `uid` = ?");
    $stmt_count->execute(array($id, $user['id']));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /link');
    } else {

        echo '<div class="title">Запрещенные браузеры (ID: '.$id.')</div>';

        $num_f = $connect->prepare("select count(*) from `forbid_browser` where `browser` like ? and `link` = ?");
        $num_g = $connect->prepare("select count(*) from `forbid_browser` where `browser` like ? and `id` != ? and `link` = ?");
        $num_u = $connect->prepare("select count(*) from `forbid_browser` where `id` = ? and `link` = ?");
        $strow = $connect->prepare("select * from `forbid_browser` where `id` = ?");

        if (isset($_GET['edit'])) {
            $num_u->execute(array($_GET['edit'], $id));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['edit']));
                $row = $strow->fetch();
                if (isset($_POST['yes'])) {

                    $num_g->execute(array($_POST['browser'], $_GET['edit'], $id));

                    $error = '';

                    if (empty($_POST['browser'])) {
                        $error.= 'Укажите браузер!<br/>';
                    }
                    elseif ($num_g->fetchColumn()) {
                        $error.= 'Такой браузер уже есть в списке!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `forbid_browser` set `browser` = ? where `id` = ?");
                        if ($stmt->execute(array($_POST['browser'], $_GET['edit']))) {
                            header('Location: /link/browser/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link/browser/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Браузер:<br/><input type="text" name="browser" value="'.$row['browser'].'"><br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /link/browser/'.$id);
            }
        }
        elseif (isset($_GET['del'])) {
            $num_u->execute(array($_GET['del'], $id));
            if ($num_u->fetchColumn()) {
                if (isset($_POST['yes'])) {
                    $del = $connect->prepare("delete from `forbid_browser` where `id` = ?");
                    if ($del->execute(array($_GET['del']))) {
                        header('Location: /link/browser/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link/browser/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /link/browser/'.$id);
            }
        } else {
            if (isset($_POST['submit'])) {

                $num_f->execute(array($_POST['browser'], $id));

                $error = '';

                if (empty($_POST['browser'])) {
                    $error.= 'Укажите браузер!<br/>';
                }
                elseif ($num_f->fetchColumn()) {
                    $error.= 'Такой браузер уже есть в списке!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {

                    $stmt = $connect->prepare("insert into `forbid_browser` set `browser` = ?, `link` = ?");

                    if ($stmt->execute(array($_POST['browser'], $id))) {
                        header('Location: /link/browser/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Браузер:<br/><input type="text" name="browser"><br/>
            <input type="submit" name="submit" value="Добавить в список">
            </form></div>';
        }

        $stmt_fb->execute(array($id));
        $count_forbid = $stmt_fb->fetchColumn();

        if ($count_forbid == 0) {
            echo '<div class="menu">Браузеров в списке нет.</div>';
        } else {

            $page = new Pagination($count_forbid, 10);

            $data = $connect->prepare("select * from `forbid_browser` where `link` = :link order by `id` desc limit :start, 10");
            $data->bindValue(':link', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                echo '<div class="menu">
                Браузер: '.$row['browser'].'
                <div class="butt1">
                <a href="?del='.$row['id'].'">Удалить</a>
                <a href="?edit='.$row['id'].'">Редактировать</a>
                </div>
                </div>';

            }

            $page->navigation();

        }

        echo '<div class="forlink"><a href="/link" class="links"><img src="/img/link.png" alt="">Мои площадки</a></div>';

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>