<?php
$title = 'Угадай число';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['game_num'] == 1) {

    echo '<div class="title">Добавить ставку</div>';

    $stmt_num = $connect->prepare("select count(*) from `num` where `id` = ?");
    $strow = $connect->prepare("select * from `num` where `id` = ?");

    // ставки юзера
    $stmt_cnum = $connect->prepare("select count(*) from `num` where `uid` = ?");
    $stmt_cnum->execute(array($user['id']));
    $c_num = $stmt_cnum->fetchColumn();

    if (isset($_POST['add'])) {

        $error = '';

        if ($c_num >= $sys['system']['c_num']) {
            $error.= 'Максимальное число одновременных ставок - '.$sys['system']['c_num'].'!<br/>';
        } else {
            if (empty($_POST['cash'])) {
                $error.= 'Введите ставку!<br/>';
            }
            elseif ($_POST['cash'] < $sys['system']['num_min']) {
                $error.= 'Минимальная ставка -  '.rub($sys['system']['num_min']).'!<br/>';
            }
            elseif ($_POST['cash'] > $sys['system']['num_max']) {
                $error.= 'Максимальная ставка - '.rub($sys['system']['num_max']).'!<br/>';
            }
            elseif ($user['money'] < $_POST['cash']) {
                $error.= 'Недостаточно средств!<br/>';
            }
            if (empty($_POST['num'])) {
                $error.= 'Введите число!<br/>';
            }
            elseif ($_POST['num'] < 1 || $_POST['num'] > 5) {
                $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
            }
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $num = intval(abs($_POST['num']));
            $cash = abs($_POST['cash']);
            $stmt = $connect->prepare("insert into `num` set `time` = ?, `uid` = ?, `cash` = ?, `num` = ?");
            if (pay(-$cash, $user['id']) && $stmt->execute(array(time(), $user['id'], $cash, $num))) {
                header('location: /play/num');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    Ставка:<br/><input type="text" name="cash"><br/>
    Число (1-5):<br/><input type="text" name="num"><br/>
    <input type="submit" name="add" value="Продолжить">
    </form></div>';

    echo '<div class="title">Угадай число</div>';

    if (isset($_GET['play'])) {
        $stmt_num->execute(array($_GET['play']));
        if (!$stmt_num->fetchColumn()) {
            header('location: /play/num');
        } else {
            $strow->execute(array($_GET['play']));
            $row = $strow->fetch();
            if ($row['uid'] == $user['id']) {
                header('location: /play/num');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /play/num');
                }
                elseif (isset($_POST['submit'])) {
                    $error = '';
                    if ($user['money'] < $row['cash']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    elseif (empty($_POST['num'])) {
                        $error.= 'Введите число!<br/>';
                    }
                    elseif ($_POST['num'] < 1 || $_POST['num'] > 5) {
                        $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $num = intval(abs($_POST['num']));
                        $delete = $connect->prepare("delete from `num` where `id` = ?");
                        if ($row['num'] == $num) {
                            notification('[b]'.$user['login'].'[/b] угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['uid']);
                            pay($row['cash'], $user['id']);
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы угадали число!</div>';
                        } else {
                            notification('[b]'.$user['login'].'[/b] не угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['uid']);
                            pay(-$row['cash'], $user['id']);
                            pay($row['cash'] * 2, $row['uid']);
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы не угадали число!</div>';
                        }
                    }
                } 
                echo '<div class="menu">
                <form action="" method="POST">
                Число:<br/><input type="text" name="num"><br/>
                <input type="submit" name="submit" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена"><br/>
                <div class="chi">Ставка: '.rub($row['cash']).'</div>
                </form></div>';
            }
        }
    } else {

        if ($count_num == 0) {
            echo '<div class="menu">Ставок нет!</div>';
        } else {

            $page = new Pagination($count_num, 10);

            $data = $connect->prepare("select * from `num` order by `time` desc limit :start, 10");
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Пользователь: '.profileLink($row['uid']).'<br/>
                Ставка: '.rub($row['cash']).'<br/>
                '.($row['uid'] != $user['id'] ? '<div class="butt2"><a href="?play='.$row['id'].'">Играть</a></div>' : 'Ваша ставка').'
                </div>';
            }

            $page->navigation();

        }
    }

    echo '<div class="forlink"><a href="/play" class="links"><img src="/img/play.png" alt="play">Игры</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>